Bug 1309455 - [RFE] Install RGW packages on overcloud full image
[RFE] Install RGW packages on overcloud full image
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-puppet-elements (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 10.0 (Newton)
Assigned To: Giulio Fidente
Yogev Rabl
: FutureFeature, Triaged
Depends On:
Blocks: 1335593 1356451 1262112 1309460 1404199
  Show dependency treegraph
 
Reported: 2016-02-17 16:03 EST by Kyle Bader
Modified: 2016-12-14 10:23 EST (History)
32 users (show)

See Also:
Fixed In Version: openstack-tripleo-puppet-elements-5.0.0-0.20160607234408.3b2ddd9.el7ost
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-14 10:23:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 311281 None None None 2016-04-29 17:36 EDT

  None (edit)
Description Kyle Bader 2016-02-17 16:03:55 EST
Description of problem:

Dell Jetstream deploys RGW on the OSP Controller Node, right now RGW packages need to be manually copied over in order to provide this functionality.

Expected results:

RGW packages would come preinstalled on the overcloud full image, so that RGW components simply need to be configured and started.
Comment 2 Mike Burns 2016-03-10 15:23:04 EST
Based on a discussion today, this request is meant to reduce the need to add the packages using virt-customize.  virt-customize is an option as long as there is an easy path to package updates from CDN.  

This can be achieved with the proper entitlements and repos enabled on the overcloud nodes.

Only action left here is to figure out what those entitlements and repos are.
Comment 3 Mike Burns 2016-04-07 17:11:06 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 4 Mike Burns 2016-04-11 11:11:24 EDT
clearing doc text since this bug was not actually fixed.
Comment 5 Alan Bishop 2016-04-13 15:19:55 EDT
No longer blocks delljs5.0 because we have a workaround.
Comment 9 Jon Schlueter 2016-07-11 13:17:36 EDT
should be enough to verify that ceph-radosgw is installed in overcloud image

rpm -qa | grep ceph-radosgw

https://review.openstack.org/#/c/311281/1/elements/overcloud-controller/pkg-map

shows package mapping to be either ceph (default) or ceph-radosgw (rhel7)
Comment 11 Karl Hastings 2016-07-22 14:24:05 EDT
Changing Target Release to OSP 10 since this was moved back in April.
Comment 12 Yogev Rabl 2016-09-26 08:39:44 EDT
verified on openstack-tripleo-puppet-elements-5.0.0-0.20160902162220.01fb147.el7ost.noarch
Comment 15 errata-xmlrpc 2016-12-14 10:23:08 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html

Note You need to log in before you can comment on or make changes to this bug.